<?php if ($this->isBillingPresent): ?>
    <div id="billingPanel" class="admin-dashboard-box ad-billing-info"></div>
<?php endif; ?>

<?php if ($this->showApplicationsBlock): ?>
    <div id="applicationsPanel" class="admin-dashboard-box ad-apps<?php echo ($this->installedServicesExist) ? '' : ' no-aps' ?><?php echo ($this->isBillingPresent ? ' ad-apps-billing' : '') ?>">
       <div id="applicationsPanel-content-area" class="content-wrapper">
            <?php if ($this->canManageApplications && !$this->installedServicesExist): ?>
                <div class="no-aps-msg">
                    <?php echo $this->lmsg('noInstalledServices') ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
    <div class="aps-block">
        <?php if ($this->hasServicePermissions): ?>
            <div id="applicationEntryPoints" class="admin-dashboard-box aps-entry-points"></div>
        <?php endif; ?>
        <?php if ($this->canManageApplications && $this->showFeaturedApplications): ?>
            <div id="applicationItems" class="admin-dashboard-box aps-featured"></div>
            <div id="applicationCategories" class="admin-dashboard-box aps-catalog simple"></div>
        <?php elseif ($this->canManageApplications && $this->showCategoriesFromCatalog): ?>
            <div id="applicationCategories" class="admin-dashboard-box"></div>
        <?php endif; ?>
    </div>
<?php else: ?>
    <?php if ($this->showSbPanel):?>
        <div id="sbPanel" class="admin-dashboard-box ad-sb"></div>
    <?php  endif; ?>
    <?php if ($this->showWebsitesPanel):?>
        <div id="webPanel" class="admin-dashboard-box ad-sites"></div>
    <?php  endif; ?>
    <?php if ($this->mailPanel):?>
        <div id="mailPanel" class="admin-dashboard-box ad-mail"></div>
        <?php echo $this->partial('email-address/_configuration.phtml', array('localeSection' => "smb.controllers.email-address.configuration")); ?>
    <?php  endif; ?>
<?php endif; ?>

<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {
<?php if ($this->showApplicationsBlock): ?>
    new Smb.AdminHome.Panel({
        applyTo: 'applicationsPanel',
        title: <?php echo $this->canManageApplications ? $this->jsLmsg('sectionApplications') : $this->jsLmsg('applicationEntryPoints') ?>,
        description: <?php echo $this->canManageApplications ?  $this->jsLmsg('sectionApplicationsDescription') : $this->jsLmsg('applicationEntryPointsDescription') ?>
        <?php if ($this->canManageApplications): ?>,
        links: [
            <?php if ($this->installedServicesExist): ?>
                {title: <?php echo $this->jsLmsg('buttonInstalledApplications') ?>, href: '/app/installed/'},
            <?php endif; ?>
            {title: <?php echo $this->jsLmsg('buttonInstallNewApplication') ?>, href: '/app/'}
        ]
        <?php endif; ?>
    });

    <?php if ($this->canManageApplications && $this->showFeaturedApplications): ?>
        new Smb.AdminHome.Panel({
            applyTo: 'applicationItems',
            title: <?php echo $this->jsLmsg('applicationFeaturedItems') ?>,
            description: <?php echo $this->jsLmsg('applicationFeaturedItemsDescription') ?>
                            <?php if ($this->featuredApplicationsCloseAction) : ?>
                                + ' <a id="applicationItems-featured-applications-close" href="#">' + <?php echo $this->jsLmsg('applicationFeaturedItemsClose') ?> + '</a>'
                            <?php endif; ?>,
            moreLink: {title: <?php echo $this->jsLmsg('moreLink') ?>, href: <?php echo $this->jsEscape($this->featuredApplicationsMoreLink); ?>},
            ajaxPartSource: '/admin-home/featured-applications/',
            ajaxLoadingCaption: <?php echo $this->jsLmsg('components.ajax.loading') ?>
        });
        <?php if ($this->featuredApplicationsCloseAction) : ?>
        $('applicationItems-featured-applications-close').observe('click', function() {
            $('applicationItems').remove();
            new Ajax.Request(<?php echo $this->jsEscape($this->baseUrl($this->featuredApplicationsCloseAction)) ?>, { method: 'post' });
        });
        <?php endif; ?>
    <?php endif; ?>

    <?php if ($this->canManageApplications && $this->showCategoriesFromCatalog): ?>
        new Smb.AdminHome.Panel({
            applyTo: 'applicationCategories',
            title: <?php echo $this->jsLmsg('applicationCategories') ?>,
            description: <?php echo $this->jsLmsg('applicationCategoriesDescription') ?>,
            moreLink: {title: <?php echo $this->jsLmsg('moreLink') ?>, href: <?php echo $this->jsEscape($this->applicationCategoriesMoreLink); ?>},
            ajaxPartSource: '/app/top-categories-data/',
            ajaxLoadingCaption: <?php echo $this->jsLmsg('components.ajax.loading') ?>
        });
    <?php endif; ?>
<?php endif; ?>

<?php if ($this->hasServicePermissions): ?>
    new Smb.AdminHome.Panel({
        applyTo: 'applicationEntryPoints',
        title: <?php echo $this->canManageApplications ? $this->jsLmsg('applicationEntryPoints') : 'false' ?>,
        description: <?php echo $this->canManageApplications ? $this->jsLmsg('applicationEntryPointsDescription') : 'false' ?>,
        ajaxPartSource: '/admin-home/installed-applications/',
        ajaxLoadingCaption: <?php echo $this->jsLmsg('components.ajax.loading') ?>
    });
<?php endif; ?>

<?php if ($this->isBillingPresent): ?>
    new Smb.AdminHome.BillingPanel({
        applyTo: 'billingPanel',
        title: <?php echo $this->jsLmsg('billingInfo') ?>,
        description: <?php echo $this->jsLmsg('billingDescription') ?>,
        moreLink: { title: <?php echo $this->jsLmsg('moreLink') ?>, href: '/account'},
        <?php if ($this->billingPayLinkRequired) : ?>
        payLink: Jsw.baseUrl + '/billing/page/?url=/invoices/pay',
        <?php endif; ?>
        creditBalance: <?php echo $this->jsHtml(
                $this->partial('partials/billing/currency.phtml',
                        array('currencyData' => $this->billingCreditBalance,
                              'currencyType' => 'income',
                              'noDataMessage' => $this->lmsg('billingNoCreditBalance') ))); ?>,
        dueBalance : <?php echo $this->jsHtml(
                $this->partial('partials/billing/currency.phtml',
                        array('currencyData' => $this->billingInvoicesDue,
                              'currencyType' => 'due',
                              'noDataMessage' => $this->lmsg('billingNoInvoicesDue') ))); ?>,
        titleCreditBalance: <?php echo $this->jsLmsg('billingCreditBalance') ?>,
        titleDueBalance: <?php echo $this->jsLmsg('billingDueBalance') ?>,
        titlePayLink: <?php echo $this->jsLmsg('billingPayLink') ?>
    });
<?php endif; ?>

});
//]]>
</script>
